Snow leopard and Qt/PyQt 4.8.x won’t work

If you try to install, even with Homebrew the latest version of Qt the 4.8.x, you may end up haing a surprise like that :

ImportError: dlopen(/usr/local/lib/python/PyQt4/QtWebKit.so, 2): Symbol not found: _kCFWebServicesProviderDefaultDisplayNameKey
  Referenced from: /Library/Frameworks/QtWebKit.framework/Versions/4/QtWebKit
  Expected in: /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

This is coming precisely from a Qt issue that don’t seem to be resolved anytime soon, so anyway you’re warned now, revert back to 4.7.x you have no choice. Except if you want to buy Lion 🙂

Vale

Publicités

un commentaire

  1. Hi Vale,

    Today, I was compiled the source Qt Library 4.8 package on 10.6.8, and it just works! It’s not required to buy Lion 🙂

    Seems the .dmg downloaded from offical site is compiled on 10.7.

    Compile with default configuration took 6+ hours on my MBP, and 2+ hours with:
    $ ./configure -release -shared -opensource && make -j4

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s

%d blogueurs aiment cette page :